org.apache.hc.core5.http.support

## Enum Expectation

- java.lang.Object
- - java.lang.Enum<Expectation>
  - - org.apache.hc.core5.http.support.Expectation

- All Implemented Interfaces:
    Serializable, Comparable<Expectation>

      @Internal
      public enum Expectation
      extends Enum<Expectation>

  Message expectations. Presently only 100-continue is recognized.
  Since:
    5.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Expectation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Expectation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUE

          public static final Expectation CONTINUE

    - #### UNKNOWN

          public static final Expectation UNKNOWN

  - ### Method Detail

    - #### values

          public static Expectation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Expectation c : Expectation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Expectation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.